module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    test: {
      files: ['test/**/*.js']
    },
    lint: {
      files: ['grunt.js', 'tasks/**/*.js', 'test/**/*.js']
    },
    watch: {
      files: '<config:lint.files>',
      tasks: 'default'
    },
    jshint: {
      options: {
        curly: true,
        eqeqeq: true,
        immed: true,
        latedef: true,
        newcap: true,
        noarg: true,
        sub: true,
        undef: true,
        boss: true,
        eqnull: true,
        node: true,
        es5: true
      },
      globals: {}
    },
    modernizr: {
      // parseFiles: false,

      uglify: false,

      // Path to the build you're using for development.
      "devFile" : "lib/modernizr-dev.js",

      // Path to save out the built file
      "outputFile" : "build/modernizr-custom.js",

      "tests" : ["foo", "random", "csstransforms", "css_displayrunin"],

      // "matchCommunityTests" : true,

      "customTests" : ["lib/tests/**/*"],

      "excludeFiles" : ["lib/cache/**/*"],

      "extra" : {
        "mq" : true,
        "cssclasses" : false
      },

      "extensibility" : {
        testprops : true
      }
    }
  });

  // Load local tasks.
  grunt.loadTasks('tasks');

  // Default task.
  grunt.registerTask('default', 'lint test');

};
